export declare const BUILD_IN_COMPONENTS: string[];
export declare type CommonConfig = {
    component: boolean;
    usingComponents: object;
};
export declare type HexColor = string;
export declare type PageConfig = CommonConfig & {
    navigationBarBackgroundColor: HexColor;
    navigationBarTextStyle: "white" | "black";
    navigationBarTitleText: string;
    navigationStyle: "default" | "custom";
    backgroundColor: HexColor;
    backgroundTextStyle: "dark" | "light";
    backgroundColorTop: string;
    backgroundColorBottom: string;
    enablePullDownRefresh: boolean;
    onReachBottomDistance: number;
    pageOrientation: "portrait" | "landscape" | "auto";
    disableSwipeBack: boolean;
    disableScroll: boolean;
    componentGenerics: Record<string, boolean | {
        default: string;
    }>;
};
export declare const ValidKeys: Set<string>;
